Summary: A CD-ROM image access library
Name: libmirage
Version: 1.1.0
Release: 5%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://cdemu.sourceforge.net/pkg_libmirage.php
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: flex, bison
BuildRequires: libsndfile-devel
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: zlib-devel

%description
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

The aim of libMirage is to provide uniform access to the data stored in 
different image formats, by creating a representation of disc stored in image 
file, which is based on GObjects.

%package devel
Summary: A CD-ROM image access library
Group: Development/Libraries
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc

%description devel
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

This package contains files needed to develop with libMirage.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libmirage/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libmirage.so.*
%{_libdir}/libmirage/*.so
%{_datadir}/mime/packages/*

%files devel
%defattr(-, root, root, -)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.0-3
- fixed post and postun in spec file

* Mon Aug 11 2008 Jiri Moskovcak <jmoskovc@redhat.com> - 1.1.0-2
- more spec file fixes:
    - added "-p" to install to preserve timestamps
    - removed shared-mime-info from Requires since it's not needed
    - added zlib-devel do BuildRequires

* Thu Aug  7 2008 Jiri Moskovcak <jmoskovc@redhat.com> - 1.1.0-1
- updated to latest version
- dropped ppc patch
- spec file cleanups:
    - fixed Source url
    - removed pkgconfig from BuildRequires
    - added shared-mime-info to Requires

* Mon Jul 28 2008 Jiri Moskovcak <jmoskovc@redhat.com> - 1.0.0-3
- spec file cleanups:
    - corrected URL
    - fixed versioned dependecies on pkgconfig
    - removed empty files from rpm
    - added gtk-doc to BuildRequires & Requires
    - license changed to GPLv2+

* Mon Jun 23 2008 Jiri Moskovcak <jmoskovc@redhat.com> - 1.0.0-2
- Initial Fedora release
- fixed issue with compiling on ppc

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
